## python-ifcfg 0.18

=== Makefile ===
clean: clean-build clean-pyc clean-test


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:  ## Check python code conventions
	tox -e lint

test:  ## Run automated test suite
	nosetests

test-all:  ## Run tests on all supported Python environments
	tox

coverage:  ## Generate test coverage report
	coverage run --source src/ifcfg `which nosetests`
	coverage report -m

release: dist  ## Generate and upload release to PyPi
	@echo ""
	@echo "Release check list:"
	@echo ""
	@echo "1. Release notes?"
	@echo "2. Did you do a signed commit and push to Github?"
	@echo "3. Check that the .whl and .tar.gz dists work - e.g. that MANIFEST.in is updated."
	@echo ""
	@read -p "CTRL+C or ENTER" dummy
	twine upload -s dist/*

dist: clean  ## Generate wheels distribution
	python setup.py bdist_wheel
	python setup.py sdist
	ls -l dist

=== debian/changelog ===
python-ifcfg (0.18-1osrf~buster) buster; urgency=medium

  * Imported upstream version 0.18

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 04 Sep 2019 12:15:09 +0000

=== debian/control ===
Source: python-ifcfg
Section: python
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-nose, python3-mock
X-Python3-Version: >= 3.5
Standards-Version: 4.1.4
Vcs-Browser: https://github.com/osrf/python-ifcfg-release
Vcs-Git: https://github.com/osrf/python-ifcfg-release
Homepage: https://github.com/ftao/python-ifcfg

Package: python3-ifcfg
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python cross-platform network interface discovery (Python 3)
 Ifcfg is a cross-platform (Windows/Unix) library for parsing ifconfig and
 ipconfig output in Python. It is useful for pulling information such as IP,
 Netmask, MAC Address, Hostname, etc.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file

version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/ftao/python-ifcfg/tags .*/v?(\d\S+)\.tar\.gz
